#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	apsw
%define		sqlite_ver 3.8.5

Summary:	Another Python SQLite Wrapper
Summary(pl.UTF-8):	Another Python SQLite Wrapper - jeszcze jeden pythonowy wrapper dla SQLite
Name:		python-%{module}
Version:	3.8.5
Release:	3
License:	Free
Group:		Libraries/Python
Source0:	https://github.com/rogerbinns/apsw/archive/%{version}-r1.tar.gz
# Source0-md5:	09eb9f39d7cf9d320ee8e89f9e9ab7ea
URL:		http://rogerbinns.github.io/apsw/
BuildRequires:	rpm-pythonprov
BuildRequires:	sqlite3-devel >= %{sqlite_ver}
BuildRequires:	unzip
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-distribute
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
Requires:	python-modules
Requires:	sqlite3 >= %{sqlite_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
APSW provides an SQLite 3 wrapper that provides the thinnest layer
over SQLite 3 possible. Everything you can do from the C API to SQLite
3, you can do from Python. Although APSW looks vaguely similar to the
DBAPI, it is not compliant with that API and instead works the way
SQLite 3 does.

%description -l pl.UTF-8
APSW udostępnia wrapper SQLite 3 dostarczający najcieńszą jak to tylko
możliwe warstwę ponad SQLite 3. Wszystko co można zrobić z poziomu API
C SQLite 3 można zrobić także z poziomu Pythona. Chociaż APSQ wygląda
dosyć podobnie do DBAPI, nie jest kompatybilne z tym API, natomiast
działa tak, jak SQLite 3.

%package -n python3-%{module}
Summary:	-
Summary(pl.UTF-8):	-
Group:		Libraries/Python
Requires:	sqlite3 >= %{sqlite_ver}

%description -n python3-%{module}
APSW provides an SQLite 3 wrapper that provides the thinnest layer
over SQLite 3 possible. Everything you can do from the C API to SQLite
3, you can do from Python. Although APSW looks vaguely similar to the
DBAPI, it is not compliant with that API and instead works the way
SQLite 3 does.

%description -n python3-%{module} -l pl.UTF-8
APSW udostępnia wrapper SQLite 3 dostarczający najcieńszą jak to tylko
możliwe warstwę ponad SQLite 3. Wszystko co można zrobić z poziomu API
C SQLite 3 można zrobić także z poziomu Pythona. Chociaż APSQ wygląda
dosyć podobnie do DBAPI, nie jest kompatybilne z tym API, natomiast
działa tak, jak SQLite 3.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}-r1

%build
%if %{with python2}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build --build-base build-2 %{?with_tests:test}
%endif

%if %{with python3}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python3} setup.py build --build-base build-3 %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%attr(755,root,root) %{py_sitedir}/*.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/%{module}-*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitedir}/%{module}*.so
%{py3_sitedir}/%{module}-%{version}*-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Mon Oct 20 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-apsw.git;a=log;h=master

* Mon Oct 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b2b479
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a6a5340
- python 3.4
- release 2 (by relup.sh)

* Thu Jun 12 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b3b3252
- up to 3.8.5; add python3 subpackage

* Tue Sep 03 2013 Artur Frysiak <artur@frysiak.net> f8bb72a
- Versioned R for sqlite, package all docs

* Tue Sep 03 2013 Jan Palus <jan.palus@gmail.com> 967a04f
- up to 3.8.0.1

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 31293ab
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e8bc719
- release 3

* Sun May 16 2010 sparky <sparky@pld-linux.org> 4809cf9
- BR: unzip

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ac59359
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 10dcd25
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 30b51d0
- converted to UTF-8

* Wed Aug 17 2005 Jakub Bogusz <qboosh@pld-linux.org> f174cdd
- pl

* Sun Aug 14 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 61b31c2
- new sqlite3 wrapper

